Create Cash Deposit Request

Create a cash deposit request to enable a nominated identity to subsequently deposit cash at a specified retailer.

This endpoint triggers a workflow which orchestrates the deposit of funds at a nominated retailer. To initiate the workflow this endpoint requires:

  • retailerId of the retailer where the deposit will be made.
  • identityId of the end user making the deposit.
  • A wallet specifying the blockchain address where deposited funds will be transferred.
  • A deviceLocation with the user's latitude and longitude coordinates.

Optionally, an amount (source currency) or amountOut (target currency) can be specified to lock the deposit to a specific value. If neither is provided, the POS will accept any amount. Only one of amount or amountOut may be specified.

A targetCurrency can also be provided to select the desired output currency (defaults to MOVEUSD).

The endpoint will return generated deposit request details with a barcodeNumber which can then be rendered and presented by the user at the retailer. This barcode will allow the retailer to correlate the user's visit with the registered cash deposit. When notification of a successful payment arrives from the retailer, a Deposit entry is created within our systems.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Identity ID associated with the deposit request

user
object
required
amount
object

Amount of the deposit. If this is specified the POS will reject any amount that does not match this value, if not specified the POS will accept any amount, and the amount will be resolved at the time of deposit

amountOut
object

The amount out of the deposit. If this is specified then the quote returned will factor in all fees and the amount out will be the amount the user receives. The same considerations for the amount field apply here

string
enum
Defaults to MOVEUSD

The desired currency to receive in the provided wallet

Allowed:
string
required

A unique identifier of the deposit request in the caller's system.

This is useful to correlate the id in the caller's system with the id returned by the API.

wallet
object
required

The blockchain wallet where funds are to be deposited

string

IP address of the device creating the deposit request

deviceLocation
object
required
string
required

Unique ID for the retailer

metadata
object
Headers
string
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json